### Method

# Panel Grid agree_to_close_async

#### Declaration [src]

    void
    panel_grid_agree_to_close_async (
      PanelGrid* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Request to close, asynchronously. This will display the save dialog.

#### Parameters

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Callback called when ready.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.